NX Open C++ Reference Guide
NXOpen::CAM::Path Member List

This is the complete list of members for NXOpen::CAM::Path, including all inherited members.

AddCircularMotion(NXOpen::CAM::PathCircularMotion *data, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AddHelixMotion(NXOpen::CAM::PathHelixMotion *data, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AddLevelMarker(NXOpen::CAM::PathLevelMarker *data, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AddLinearMotion(NXOpen::CAM::PathLinearMotion *data, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AddUde(const NXString &udeName, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AddUde(const char *udeName, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
AppendCircularMotion(NXOpen::CAM::PathCircularMotion *data)NXOpen::CAM::Path
AppendHelixMotion(NXOpen::CAM::PathHelixMotion *data)NXOpen::CAM::Path
AppendLevelMarker(NXOpen::CAM::PathLevelMarker *data)NXOpen::CAM::Path
AppendLinearMotion(NXOpen::CAM::PathLinearMotion *data)NXOpen::CAM::Path
AppendUde(const NXString &udeName)NXOpen::CAM::Path
AppendUde(const char *udeName)NXOpen::CAM::Path
ContactType()NXOpen::CAM::Path
DeleteAllUdesOfName(const NXString &udeName)NXOpen::CAM::Path
DeleteAllUdesOfName(const char *udeName)NXOpen::CAM::Path
DeleteOneEvent(int index)NXOpen::CAM::Path
DeleteOneEvent(NXOpen::CAM::PathEvent *pathEvent)NXOpen::CAM::Path
EmptyPath()NXOpen::CAM::Path
GetCircularMotion(int index)NXOpen::CAM::Path
GetCircularMotion(NXOpen::CAM::PathEvent *eventOfInterest)NXOpen::CAM::Path
GetFirstEvent()NXOpen::CAM::Path
GetHelixMotion(int index)NXOpen::CAM::Path
GetHelixMotion(NXOpen::CAM::PathEvent *eventOfInterest)NXOpen::CAM::Path
GetLaserOptimizationData()NXOpen::CAM::Path
GetLastEvent()NXOpen::CAM::Path
GetLevelMarker(int index)NXOpen::CAM::Path
GetLevelMarker(NXOpen::CAM::PathEvent *eventOfInterest)NXOpen::CAM::Path
GetLinearMotion(int index)NXOpen::CAM::Path
GetLinearMotion(NXOpen::CAM::PathEvent *eventOfInterest)NXOpen::CAM::Path
GetToolpathEvent(int eventNumber)NXOpen::CAM::Path
GetToolpathEventType(int eventNumber)NXOpen::CAM::Path
GetToolpathEventType(NXOpen::CAM::PathEvent *pathEvent)NXOpen::CAM::Path
GetUde(int index)NXOpen::CAM::Path
GetUde(NXOpen::CAM::PathEvent *eventOfInterest)NXOpen::CAM::Path
InsertCircularMotionAfter(NXOpen::CAM::PathCircularMotion *data, int index)NXOpen::CAM::Path
InsertCircularMotionBefore(NXOpen::CAM::PathCircularMotion *data, int index)NXOpen::CAM::Path
InsertHelixMotionAfter(NXOpen::CAM::PathHelixMotion *data, int index)NXOpen::CAM::Path
InsertHelixMotionBefore(NXOpen::CAM::PathHelixMotion *data, int index)NXOpen::CAM::Path
InsertLevelMarkerAfter(NXOpen::CAM::PathLevelMarker *data, int index)NXOpen::CAM::Path
InsertLevelMarkerBefore(NXOpen::CAM::PathLevelMarker *data, int index)NXOpen::CAM::Path
InsertLinearMotionAfter(NXOpen::CAM::PathLinearMotion *data, int index)NXOpen::CAM::Path
InsertLinearMotionBefore(NXOpen::CAM::PathLinearMotion *data, int index)NXOpen::CAM::Path
InsertUdeAfter(const NXString &udeName, int index)NXOpen::CAM::Path
InsertUdeAfter(const char *udeName, int index)NXOpen::CAM::Path
InsertUdeBefore(const NXString &udeName, int index)NXOpen::CAM::Path
InsertUdeBefore(const char *udeName, int index)NXOpen::CAM::Path
IsToolpathEventAMotion(int eventNumber, NXOpen::CAM::CamPathMotionType *motionType, NXOpen::CAM::CamPathMotionShapeType *motionShape)NXOpen::CAM::Path
IsToolpathEventAMotion(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::CamPathMotionType *motionType, NXOpen::CAM::CamPathMotionShapeType *motionShape)NXOpen::CAM::Path
IsToolpathEventUde(NXOpen::CAM::PathEvent *eventOfInterest, NXString *udeName)NXOpen::CAM::Path
MoveEvent(int fromIndex, int toIndex)NXOpen::CAM::Path
MoveEvent(NXOpen::CAM::PathEvent *eventToMove, NXOpen::CAM::CamPathToolpathEventLocation location, NXOpen::CAM::PathEvent *referenceEvent)NXOpen::CAM::Path
NewPathCircularMotion()NXOpen::CAM::Path
NewPathHelixMotion()NXOpen::CAM::Path
NewPathLinearMotion()NXOpen::CAM::Path
NumberOfToolpathEvents()NXOpen::CAM::Path
Path() (defined in NXOpen::CAM::Path)NXOpen::CAM::Pathprotected
SetCircularMotion(int index, NXOpen::CAM::PathCircularMotion *data)NXOpen::CAM::Path
SetCircularMotion(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::PathCircularMotion *data)NXOpen::CAM::Path
SetContactType(NXOpen::CAM::CamPathContactType contactType)NXOpen::CAM::Path
SetHelixMotion(int index, NXOpen::CAM::PathHelixMotion *data)NXOpen::CAM::Path
SetHelixMotion(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::PathHelixMotion *data)NXOpen::CAM::Path
SetLevelMarker(int index, NXOpen::CAM::PathLevelMarker *data)NXOpen::CAM::Path
SetLevelMarker(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::PathLevelMarker *data)NXOpen::CAM::Path
SetLinearMotion(int index, NXOpen::CAM::PathLinearMotion *data)NXOpen::CAM::Path
SetLinearMotion(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::PathLinearMotion *data)NXOpen::CAM::Path
SetUde(int index, NXOpen::CAM::Ude *data)NXOpen::CAM::Path
SetUde(NXOpen::CAM::PathEvent *eventOfInterest, NXOpen::CAM::Ude *data)NXOpen::CAM::Path
Tag() const NXOpen::TaggedObject
TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObject
ToolAxisType()NXOpen::CAM::Path
~Path() (defined in NXOpen::CAM::Path)NXOpen::CAM::Path
~TaggedObject() (defined in NXOpen::TaggedObject)NXOpen::TaggedObjectvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.